all:
  deepstrom_real_no_kernel_param:
  deepstrom_learned_no_kernel_param:

base:
  epoch_numbers: {"-e": [70]}
  batch_sizes: {"-s": [64]}
  val_size: {"-v": [10000]}
  seed: {"-a": "range(30)"}
  dataset: ["--svhn"]
  quiet: ["-q"]


deepstrom_base:
  network: ["deepstrom"]
  base:
  nys_size: {"-m": [2, 4, 8]}

deepstrom_real:
  deepstrom_base:
  real_nys: ["-r"]


deepstrom_real_no_kernel_param:
  deepstrom_real:
  kernel: ["-C"]

deepstrom_learned:
  deepstrom_base:

deepstrom_learned_no_kernel_param:
  deepstrom_learned:
  kernel: ["-C"]

